%define upstream_name    Log-Dispatch
%define upstream_version 2.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl modules for logging messages to multiple outputs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate) >= 1.30.0
BuildRequires: perl(PerlIO)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::Syslog) >= 0.280.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Log::Dispatch is a suite of OO modules for logging messages to multiple
outputs, each of which can have a minimum and maximum log level.  It is
designed to be easily subclassed, both for creating a new dispatcher object and
particularly for creating new outputs.

%package ApacheLog
Summary:    Apache mod_perl dispatcher for Log::Dispatch
Group:      Development/Perl

%description ApacheLog
Log::Dispatch::ApacheLog is a dispatcher for apache logging, used with
mod_perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Log
%exclude %{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%exclude %{_mandir}/*/Log::Dispatch::ApacheLog*
%{_mandir}/*/*

%files ApacheLog
%{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%{_mandir}/*/Log::Dispatch::ApacheLog*

%changelog
* Sun May 08 2016 shlomif <shlomif> 2.560.0-1.mga6
+ Revision: 1010673
- update to 2.56

* Wed Feb 10 2016 shlomif <shlomif> 2.540.0-1.mga6
+ Revision: 953360
- update to 2.54

* Sat Jan 16 2016 shlomif <shlomif> 2.530.0-1.mga6
+ Revision: 923814
- update to 2.53

* Mon Sep 28 2015 sander85 <sander85> 2.510.0-1.mga6
+ Revision: 884670
- update to 2.51

* Sun Sep 06 2015 sander85 <sander85> 2.500.0-1.mga6
+ Revision: 873521
- update to 2.50

* Sun Aug 23 2015 sander85 <sander85> 2.490.0-1.mga6
+ Revision: 868432
- update to 2.49

* Thu Aug 13 2015 sander85 <sander85> 2.480.0-1.mga6
+ Revision: 864393
- update to 2.48

* Sun Jul 05 2015 sander85 <sander85> 2.450.0-1.mga6
+ Revision: 851293
- update to 2.45

* Wed Oct 15 2014 umeabot <umeabot> 2.420.0-3.mga5
+ Revision: 745587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.420.0-2.mga5
+ Revision: 685260
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 sander85 <sander85> 2.420.0-1.mga5
+ Revision: 662218
- update to 2.42

* Sat Oct 19 2013 umeabot <umeabot> 2.410.0-2.mga4
+ Revision: 530331
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.410.0-1.mga4
+ Revision: 457273
- update to 2.41

* Sun Jun 02 2013 kharec <kharec> 2.390.0-1.mga4
+ Revision: 435049
- update to 2.39

* Sun Jan 13 2013 umeabot <umeabot> 2.340.0-2.mga3
+ Revision: 369217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.340.0-1.mga3
+ Revision: 342361
- update to 2.34

* Tue Jun 05 2012 jquelin <jquelin> 2.320.0-1.mga3
+ Revision: 255078
- update to 2.32

* Thu Mar 24 2011 jquelin <jquelin> 2.290.0-1.mga1
+ Revision: 76640
- update to 2.29

* Sun Jan 23 2011 jquelin <jquelin> 2.280.0-1.mga1
+ Revision: 33923
- mageia rebuild
- imported package perl-Log-Dispatch

